<!-- 搜索表单 -->
<template>
  <a-space :size="10" style="flex-wrap: wrap">
    <a-button type="primary" class="ele-btn-icon" @click="add">
      <template #icon>
        <PlusOutlined />
      </template>
      <span>添加店员</span>
    </a-button>
  </a-space>
</template>

<script lang="ts" setup>
  import { PlusOutlined } from '@ant-design/icons-vue';

  const props = withDefaults(
    defineProps<{
      selection?: [];
    }>(),
    {}
  );

  const emit = defineEmits<{
    (e: 'search', where?: any): void;
    (e: 'add'): void;
    (e: 'remove'): void;
  }>();

  // 新增
  const add = () => {
    emit('add');
  };
</script>
